Package org.apache.tomcat.util.log

# Enum UserDataHelper.Mode

java.lang.Object
java.lang.Enum<UserDataHelper.Mode>
org.apache.tomcat.util.log.UserDataHelper.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<UserDataHelper.Mode>`, `java.lang.constant.Constable`

Enclosing class:
  UserDataHelper

public static enum UserDataHelper.Mode extends Enum<UserDataHelper.Mode>
Log mode for the next log message.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEBUG`
`INFO`
`INFO_THEN_DEBUG`

## Method Summary

Modifier and Type
Method
Description
`static UserDataHelper.Mode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UserDataHelper.Mode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEBUG

public static final UserDataHelper.Mode DEBUG

### INFO_THEN_DEBUG

public static final UserDataHelper.Mode INFO_THEN_DEBUG

### INFO

public static final UserDataHelper.Mode INFO

## Method Details

### values

public static UserDataHelper.Mode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static UserDataHelper.Mode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null